"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var utils_1 = require("../../../../utils");
exports.LegendElement = styled_components_1.default.legend(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\tborder-bottom: 1px solid ", ";\n\twidth: 100%;\n"], ["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\tborder-bottom: 1px solid ", ";\n\twidth: 100%;\n"])), function (props) { return utils_1.px(props.theme.fontSizes[3]); }, function (props) { return utils_1.px(props.theme.colors.gray.light); });
exports.TitleField = function (props) {
    var id = props.id, required = props.required, title = props.title;
    if (!title) {
        return null;
    }
    return (React.createElement(exports.LegendElement, { id: id },
        title,
        required && '*'));
};
var templateObject_1;
